function [ A ] = inverzeB( A )
% Vpoet inverzn matice pomoc LU rozkladu s stenou pivotac
% Inverze X je potna jako een rovnice X * L = U^-1
%
%   [ X ] = inverzeB( A )
%   Vstup:  A ... regulrn matice n x n
%   Vstup: X ... inverzn matice A^-1
%
%   Datum posledn pravy: 16.8.2015, KF

[A, p] = luRozklad(A);
[n, ~] = size(A);
A = invU(triu(A)) / (eye(n) + tril(A, -1));
r(p) = 1 : n;
A = A(:, r);
end

