% Aproximace polynomem

% Zadan data
x = [-3; -2; -1; 0; 1; 2; 3];
y = [-0.2774; 0.8958; -1.5651; 3.4565; 3.0601; 4.8568; 3.8982];

% Vpoet koeficient aproximanch polynom stupn p = 1, 3, 5, 6
a1 = polynomFit(x, y, 1);
a3 = polynomFit(x, y, 3);
a5 = polynomFit(x, y, 5);
a6 = polynomFit(x, y, 6);

% Dopotn bod pro nakreslen graf
xx = linspace(-4, 4);
yy1 = polyval(a1(end : -1 : 1), xx);
yy3 = polyval(a3(end : -1 : 1), xx);
yy5 = polyval(a5(end : -1 : 1), xx);
yy6 = polyval(a6(end : -1 : 1), xx);

% Zobrazen graf nalezench polynom
figure('Color', 'w')
subplot(2, 2, 1)
plot(x, y, 'k*')
hold on
plot(xx, yy1, 'k')
hold off
axis([-4 4 -3 9])

subplot(2, 2, 2)
plot(x, y, 'k*')
hold on
plot(xx, yy3, 'k')
hold off
axis([-4 4 -3 9])

subplot(2, 2, 3)
plot(x, y, 'k*')
hold on
plot(xx, yy5, 'k')
hold off
axis([-4 4 -3 9])

subplot(2, 2, 4)
plot(x, y, 'k*')
hold on
plot(xx, yy6, 'k')
hold off
axis([-4 4 -3 9])

