% SVD komprese obrazovch dat

% Naten obrazu
A = imread('HK.jpg');
% Pevod na odstny edi
A = 0.2989 * A(:, :, 1) + 0.5870 * A(:, :, 2) + 0.1140 * A(:, :, 3);
% Pevod na hodnoty typu double <0; 1>
A = double(A) ./ double(intmax(class(A)));
% Zobrazen originlnho nekomprimovanho obrazu
figure
imagesc(A, [0 1])
axis image
axis off
colormap(gray)
    
[U, S, V] = svd(A, 'econ');

% Konstrukce aproximanch matic A_k
[m, n] = size(A);
k = [200, 80, 20];
for i = 1 : length(k)
    A = zeros(m, n);
    for j = 1 : k(i)
        A = A + S(j, j) * U(:, j) * V(:, j)';
    end
    figure
    imagesc(A, [0 1])
    axis image
    axis off
    colormap(gray)
end

