function [ s ] = off( A )
% Vpoet veliiny off(A)
% (pomocn funkce pro Jacobiho metodu)
%
%   [ off ] = off( A )
%   Vstup:  A ... matice m x n
%   Vstup: off ... odmocnina ze soutu druhch mocnin nediagonlnch 
%                   prvk matice A
%
%   Datum posledn pravy: 23.10.2015, KF

[m, n] = size(A);
s = 0;
for i = 1 : m
    for j = 1 : n
        if i ~= j
            s = s + A(i, j) ^ 2;
        end
    end
end
s = sqrt(s);
end

